Subject: bug#48007: computing derivations through inferior takes twice as long

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 26 Jan 2022 22:32:02 +0100

Ludovic Courtès <[email-masked]> writes:

> The trick is to ensure the inferior maintains its object cache across
> calls.  The patch needs to be cleaned up because it peeks into
> internals, but we should be able to do something along these lines and
> optimize a couple of other things.

Yeah, this makes sense.  Excellent!

> If you can give it a spin on a more representative example, that’s
> great!

I tried it in the GWL with the big RNAseq workflow I adopted from PiGx
and the step to generate job scripts (which reference inferior packages)
became considerably faster.  There is still potential for improvement,
but this change is the difference between not too bad (15 seconds) and
unusable (> 5 minutes).

Thank you!

-- 
Ricardo